I start Quassel, as soon as it tries to connect to a network (it uses a password), it segfaults.

Running from a terminal, this seems to be relevant.

Code:
loaded library "/usr/lib64/qt5/plugins/crypto/libqca-ossl.so"
QLibraryPrivate::loadPlugin failed on "/usr/lib64/qt5/plugins/crypto/libqca-ossl.so" : "Cannot load library /usr/lib64/qt5/plugins/crypto/libqca-ossl.so: (/usr/lib64/qt5/plugins/crypto/libqca-ossl.so: undefined symbol: SSLv2_client_method)"
Found metadata in lib /usr/lib64/qt5/plugins/crypto/libqca-pkcs11.so, metadata=
{
    "IID": "com.affinix.qca.Plugin/1.0",
    "MetaData": {
    },
    "className": "pkcs11Plugin",
    "debug": false,
    "version": 328960
}
Somehow, it still expects SSLv2 to be available, but that's probably due to security issues